Problem with database.yml moving from 0.13.0 to 0.14.4


#1

Hi,

I’m upgrading from 0.13.0 to 0.14.4, and I’m having trouble with my
database
authentication. Even though the entries in my database.yml are correct,
I
get the
following message when trying to do a ruby script/generate scaffold
myClass…

Access denied for user: '@localhost to database ‘’

Why is the username and database name showing up as blank? Like I said,
I’ve checked my
enteries in database.yml a dozen times and they are absolutely correct.

Thanks in advance,

-stan


View this message in context:
http://www.nabble.com/problem-with-database.yml-moving-from-0.13.0-to-0.14.4-t1513579.html#a4107588
Sent from the RubyOnRails Users forum at Nabble.com.


#2

Sounds like you’re using MySQL and although I’m not a MySQL user I
seem to recall a change about then with having to add the port into
the database.yml even if it’s using the default of 3306 otherwise it
tries to connect via unix socket.

hth,
Dan


#3

Thx. I’ll try when I get back to work tomorrow. Do you know if the
hash
password warning at the top of the database.yml file could have anything
to
do with it? We’re still running MySQL 4.0.x at work.

View this message in context:
http://www.nabble.com/problem-with-database.yml-moving-from-0.13.0-to-0.14.4-t1513579.html#a4111860
Sent from the RubyOnRails Users forum at Nabble.com.


#4

No idea sorry mate, that’s the extent of my mysql knowledge right there
:wink: